## gertty 1.0.3

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0

urwid
SQLAlchemy>=0.9.4
GitPython>=0.3.2.RC1
python-dateutil
requests
ordereddict
alembic>=0.6.4
PyYAML>=3.1.0
voluptuous>=0.7
ply>=3.4

=== debian/changelog ===
gertty (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Fix package section (Closes: #764035).
  * d/control: Bump Standards-Version (no changes needed).

 -- Sebastien Badia <seb@sebian.fr>  Mon, 06 Oct 2014 00:27:12 +0200

gertty (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #762152)

 -- Sebastien Badia <seb@sebian.fr>  Fri, 19 Sep 2014 14:05:33 +0200

=== debian/control ===
Source: gertty
Section: devel
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9),
               python-alembic,
               python-all (>= 2.6.6-3~),
               python-dateutil,
               python-git,
               python-pbr,
               python-ply,
               python-requests,
               python-setuptools,
               python-sqlalchemy,
               python-urwid,
               python-voluptuous,
               python-yaml
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gertty.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gertty.git
Homepage: https://github.com/stackforge/gertty

Package: gertty
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-alembic,
         python-dateutil,
         python-git,
         python-pbr,
         python-ply,
         python-requests,
         python-setuptools,
         python-sqlalchemy,
         python-urwid,
         python-voluptuous,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Console-based interface to Gerrit
 Gertty is a console-based interface to the Gerrit Code Review system.
 As compared to the web interface, the main advantages are:
 .
 Workflow -- the interface is designed to support a workflow similar
 to reading network news or mail.  In particular, it is designed to
 deal with a large number of review requests across a large number
 of projects.
 .
 Offline Use -- Gertty syncs information about changes in subscribed
 projects to a local database and local git repos.  All review
 operations are performed against that database and then synced back
 to Gerrit.
 .
 Speed -- user actions modify locally cached content and need not
 wait for server interaction.
 .
 Convenience -- because Gertty downloads all changes to local git
 repos, a single command instructs it to checkout a change into that
 repo for detailed examination or testing of larger changes.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gertty/ gertty-(.*).tar.gz

## gertty 1.1.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0

urwid>=1.2.1,!=1.3.0
SQLAlchemy>=0.9.4
GitPython>=0.3.2.RC1
python-dateutil
requests!=2.5.0
ordereddict
alembic>=0.6.4
PyYAML>=3.1.0
voluptuous>=0.7
ply>=3.4

## gertty 1.2.1

=== debian/changelog ===
gertty (1.2.1-1build1) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 16:25:24 +0100

gertty (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #788363)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 28 Jun 2015 22:27:03 +0200

gertty (1.1.0-2) unstable; urgency=medium

  * Rebuild, upload to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Mon, 04 May 2015 12:04:11 +0200

gertty (1.1.0-1) experimental; urgency=medium

  * Imported Upstream version 1.1.0
  * d/rules: Remove un-needed auto_clean override
  * d/watch: Update watch file according pypi's file listing disappearing
  * d/control: Many changes
    * Remove specific dependency to dpkg
    * Fix vcs-browser URL (use cgit)
    * Added dh-python to build-deps
  * d/patches: Refresh debian patchs

 -- Sebastien Badia <seb@sebian.fr>  Sat, 07 Mar 2015 21:12:56 +0100

## gertty 1.3.0

=== debian/changelog ===
gertty (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #808263)

 -- Sebastien Badia <seb@sebian.fr>  Fri, 18 Dec 2015 14:24:30 +0100

## gertty 1.3.1

=== requirements.txt ===
pbr>=0.11,<2.0

urwid>=1.2.1,!=1.3.0
SQLAlchemy>=1.0.4
GitPython>=0.3.2.RC1
python-dateutil
requests>=2.5.3,<3.0.0
ordereddict
alembic>=0.6.4
PyYAML>=3.1.0
voluptuous>=0.7
ply>=3.4
six

=== debian/changelog ===
gertty (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Badia <seb@sebian.fr>  Wed, 30 Dec 2015 13:14:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-alembic,
                python-all (>= 2.6.6-3~),
                python-dateutil,
@@ -11,18 +12,19 @@
                python-ply,
                python-requests,
                python-setuptools,
-               python-sqlalchemy,
+               python-six,
+               python-sqlalchemy (>= 1.0.4),
                python-urwid,
                python-voluptuous,
                python-yaml
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gertty.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gertty.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gertty.git
 Homepage: https://github.com/stackforge/gertty
 
 Package: gertty
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: python-alembic,
          python-dateutil,
          python-git,
@@ -30,7 +32,8 @@
          python-ply,
          python-requests,
          python-setuptools,
-         python-sqlalchemy,
+         python-six,
+         python-sqlalchemy (>= 1.0.4),
          python-urwid,
          python-voluptuous,
          python-yaml,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/gertty/gertty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gertty 1.4.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 urwid>=1.2.1,!=1.3.0
 SQLAlchemy>=1.0.4
-GitPython>=0.3.2.RC1
+GitPython>=0.3.7
 python-dateutil
 requests>=2.5.3,<3.0.0
 ordereddict

=== debian/changelog ===
gertty (1.4.0-1.1build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:49:24 +0100

gertty (1.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to drop SQLAlchemy << 1.1 dependency (closes: 851413)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jan 2017 22:37:35 +0100

gertty (1.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #836392)
  * d/control:
    Bumped Standards-Version to 3.9.8 (no changes)
    Update Vcs-* fields (use https)
  * d/patches: Refresh patches (and remove applied upstream)
    Thanks Clint (Closes: #813859)

 -- Sebastien Badia <seb@sebian.fr>  Fri, 02 Sep 2016 20:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                python-urwid,
                python-voluptuous,
                python-yaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gertty.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/gertty.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gertty.git
 Homepage: https://github.com/stackforge/gertty
 
 Package: gertty

## gertty 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-pbr>=0.11,<2.0
+pbr>=0.11
 
 urwid>=1.2.1,!=1.3.0
 SQLAlchemy>=1.0.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Gertty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Gertty.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Gertty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Gertty"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
gertty (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Ran wrap-and-sort -bast.
  * Switch to Python 3.
  * Add a debian/source/options to ignore .gitreview and egg-info changes.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2019 14:15:29 +0200

gertty (1.5.0-2) unstable; urgency=medium

  * d/compat: Bump compat version to 11
  * d/copyright: Use HTTPS for URI
  * d/control:
    + Use salsa.debian.org in Vcs-* fields
    + Fix homepage URI (migrated to OpenStack namespace)
    + Bump to Standards-Version 4.2.1 (no changes needed)
    + Added missing pre-deps on sensible-utils
  * d/examples: Ship examples files
  * d/upstream: Added Upstream metadata
  * d/rules: Remove the simple note about alembic (lintian info)

 -- Sebastien Badia <sbadia@debian.org>  Sun, 02 Sep 2018 14:01:02 +0200

gertty (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/watch: Use pypi simple API instead of debian.net service
  * d/compat: Bump compat. version to 10
  * d/control:
    + Use my Debian email address
    + Bump Standard-Version to 4.0.0 (no changes needed)
  * d/copyright: Update upstream location
  * d/man: Update manpage

 -- Sebastien Badia <sbadia@debian.org>  Wed, 09 Aug 2017 16:24:04 +0200

=== debian/control ===
Source: gertty
Section: devel
Priority: optional
Maintainer: Sebastien Badia <sbadia@debian.org>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python-alembic,
 python3-all,
 python3-dateutil,
 python3-git,
 python3-pbr,
 python3-ply,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-urwid,
 python3-voluptuous,
 python3-yaml,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/gertty
Vcs-Git: https://salsa.debian.org/debian/gertty.git
Homepage: https://github.com/openstack/gertty

Package: gertty
Architecture: all
Pre-Depends:
 sensible-utils,
 ${misc:Pre-Depends},
Depends:
 python3-alembic,
 python3-dateutil,
 python3-git,
 python3-pbr,
 python3-ply,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-urwid,
 python3-voluptuous,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: Console-based interface to Gerrit
 Gertty is a console-based interface to the Gerrit Code Review system.
 As compared to the web interface, the main advantages are:
 .
 Workflow -- the interface is designed to support a workflow similar
 to reading network news or mail.  In particular, it is designed to
 deal with a large number of review requests across a large number
 of projects.
 .
 Offline Use -- Gertty syncs information about changes in subscribed
 projects to a local database and local git repos.  All review
 operations are performed against that database and then synced back
 to Gerrit.
 .
 Speed -- user actions modify locally cached content and need not
 wait for server interaction.
 .
 Convenience -- because Gertty downloads all changes to local git
 repos, a single command instructs it to checkout a change into that
 repo for detailed examination or testing of larger changes.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vrs)
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	set -x ; set -e ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/gertty ; \
	done
	rm -f $(CURDIR)/debian/gertty/usr/lib/python3*/dist-packages/gertty/alembic/README

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## gertty 1.6.0

=== debian/changelog ===
gertty (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Mark autopkgtest as superficial (Closes: #971468)
  * Bump Standards-Version to 4.7.2

  [ Rong Fu ]
  * Fix compatibility with modern SQLAlchemy
    (Closes: #1054007, #1069052, #1103049)
  * Fix SyntaxWarning (Closes: #1085606)

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 00:33:26 +0200

gertty (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * d/copyright:
    + Update Source location (according OpenDev migration)
  * d/control:
    + wrap-and-sort -f debian/control
    + Update Homepage location (according OpenDev migration)
    + Bump debhelper compatibility to 12
    + Bump to Standards-Version 4.4.0 (no changes needed)
    + Fix alembic B-D, Thx Esa! (Closes: #934313)
  * d/rules: Cleanup rules… and use pybuild
  * d/tests: Introduce basic testing

 -- Sebastien Badia <sbadia@debian.org>  Tue, 13 Aug 2019 10:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastien Badia <sbadia@debian.org>
 Build-Depends:
- debhelper (>= 11~),
- dh-python,
- python-alembic,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-alembic,
  python3-all,
  python3-dateutil,
  python3-git,
@@ -18,10 +18,11 @@
  python3-urwid,
  python3-voluptuous,
  python3-yaml,
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/gertty
 Vcs-Git: https://salsa.debian.org/debian/gertty.git
-Homepage: https://github.com/openstack/gertty
+Homepage: https://opendev.org/ttygroup/gertty/
+X-Style: black
 
 Package: gertty
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gertty

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -f $(CURDIR)/debian/gertty/usr/lib/python3*/dist-packages/gertty/alembic/README

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 install,
Depends:
 @,
Restrictions:
 allow-stderr,
 needs-root,
 superficial,

=== debian/watch ===
version=4
opts="downloadurlmangle=s/#.*$//,filenamemangle=s/.*(gertty-[^#]+)#.*$/$1/" \
  https://pypi.python.org/simple/gertty/ \
  .*/gertty-(.+)\.tar\.gz#.*

## gertty 1.6.1~dev56

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pbr>=0.11
 
 urwid>=1.2.1,!=1.3.0
-SQLAlchemy>=1.0.4
+SQLAlchemy>=1.4
 GitPython>=0.3.7
 python-dateutil
 requests>=2.5.3,<3.0.0

=== debian/changelog ===
gertty (1.6.1~dev56-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot to resolve compatibility issues with
    newer versions of numerous dependencies.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Sep 2024 08:49:59 +0100

=== debian/control ===
Source: gertty
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-alembic,
               python3-all,
               python3-dateutil,
               python3-git,
               python3-pbr,
               python3-ply,
               python3-requests,
               python3-setuptools,
               python3-six,
               python3-sqlalchemy,
               python3-urwid,
               python3-voluptuous,
               python3-yaml
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/gertty
Vcs-Git: https://salsa.debian.org/debian/gertty.git
Homepage: https://opendev.org/ttygroup/gertty/

Package: gertty
Architecture: all
Pre-Depends: sensible-utils, ${misc:Pre-Depends}
Depends: python3-alembic,
         python3-dateutil,
         python3-git,
         python3-pbr,
         python3-ply,
         python3-requests,
         python3-setuptools,
         python3-six,
         python3-sqlalchemy,
         python3-urwid,
         python3-voluptuous,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: Console-based interface to Gerrit
 Gertty is a console-based interface to the Gerrit Code Review system.
 As compared to the web interface, the main advantages are:
 .
 Workflow -- the interface is designed to support a workflow similar
 to reading network news or mail.  In particular, it is designed to
 deal with a large number of review requests across a large number
 of projects.
 .
 Offline Use -- Gertty syncs information about changes in subscribed
 projects to a local database and local git repos.  All review
 operations are performed against that database and then synced back
 to Gerrit.
 .
 Speed -- user actions modify locally cached content and need not
 wait for server interaction.
 .
 Convenience -- because Gertty downloads all changes to local git
 repos, a single command instructs it to checkout a change into that
 repo for detailed examination or testing of larger changes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gertty
export PBR_VERSION=1.6.1.dev56

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/gertty/usr/lib/python3*/dist-packages/gertty/alembic/README

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
